package com.huimv.eartag2.manage2.service.impl;

import com.huimv.eartag2.manage2.pojo.FarmerAsset;
import com.huimv.eartag2.manage2.mapper.FarmerAssetMapper;
import com.huimv.eartag2.manage2.service.FarmerAssetService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zn
 * @since 2022-08-29
 */
@Service
public class FarmerAssetServiceImpl extends ServiceImpl<FarmerAssetMapper, FarmerAsset> implements FarmerAssetService {
    @Autowired
    private FarmerAssetMapper farmerAssetMapper;

    @Override
    public List<FarmerAsset> getLastManyMonthAssets(String farmCode, String manyMonth) {
        //{}
        return farmerAssetMapper.getLastManyMonthAssets(farmCode,manyMonth);
    }
}
